package de.ivu.elect.business.image.entity;

import de.ivu.elect.jee.presentation.dynamicform.Property;

@javax.enterprise.inject.Vetoed
public class BildProperties
{

private final Bild entity;


    
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  contentBase64Property;

        
        
    private
                de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
                  mimeTypeProperty;

        
    

public BildProperties(Bild entity) {
this.entity = entity;

}

private static BildMeta getMetaData() {
return de.ivu.elect.jee.cdi.BeanManagerUtil.getBeanByClass( BildMeta.class);
}


    

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getContentBase64Property() {
        if (contentBase64Property == null) {
        contentBase64Property = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getContentBase64EinzahlMessage(),
        getMetaData().getContentBase64DefaultValue(),
        getMetaData().isContentBase64Required(),
                entity::setContentBase64,
        entity::getContentBase64

                    , 0 ,
            de.ivu.elect.business.image.entity.BildConstants.CONTENT_BASE64_MAX_LENGTH
                );

        }


        return contentBase64Property;
        }





        
        

        public
                    de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty
                getMimeTypeProperty() {
        if (mimeTypeProperty == null) {
        mimeTypeProperty = new


                    de.ivu.elect.jee.presentation.dynamicform.LambdaStringProperty
        
        (
        getMetaData().getMimeTypeEinzahlMessage(),
        getMetaData().getMimeTypeDefaultValue(),
        getMetaData().isMimeTypeRequired(),
                entity::setMimeType,
        entity::getMimeType

                    , 0 ,
            de.ivu.elect.business.image.entity.BildConstants.MIME_TYPE_MAX_LENGTH
                );

        }


        return mimeTypeProperty;
        }





        
        }